### Method

# EBackend CollectionBackendFactory prepare_mail

since: 3.6

#### Declaration [src]

    void
    e_collection_backend_factory_prepare_mail (
      ECollectionBackendFactory* factory,
      ESource* mail_account_source,
      ESource* mail_identity_source,
      ESource* mail_transport_source
    )

#### Description [src]

Convenience function to populate a set of `ESource` instances with mail account information to be added to an `ECollectionBackend`. This is mainly used for vendor-specific collection backends like Google or Yahoo! where the host, port, and security details are known ahead of time and only user-specific information needs to be filled in.

Available since: 3.6

#### Parameters

`mail_account_source`

  Type: `ESource`

  An `ESource` to hold mail account information.

  The data is owned by the caller of the method.

`mail_identity_source`

  Type: `ESource`

  An `ESource` to hold mail identity information.

  The data is owned by the caller of the method.

`mail_transport_source`

  Type: `ESource`

  An `ESource` to hold mail transport information.

  The data is owned by the caller of the method.